Subject: CPU 1 refused to die! (pmac dual G4 MDD)

From: Giuliano Pochini <[email-masked]>
Date: Sun, 19 Sep 2010 23:31:50 +0200

When I do:

echo 0 >/sys/devices/system/cpu/cpu1/online

it waits for a few seconds and dmesg reports:

CPU1 offline
CPU 1 refused to die!

The cpu is not online anymore and top does not list it. I can be re-enabled.
Everything looks ok, except that error message. It worked fine in 2.6.33.
I don't know if it's a ppc specific bug.

$ uname -a
Linux Jay 2.6.35.4 #3 SMP Sat Sep 18 20:03:06 CEST 2010 ppc 7455, altivec supported PowerMac3,6 GNU/Linux

-- 
Giuliano.